using Client.Dotmyself;
using System;

namespace Client
{
    /// <summary>
    /// It invokes operations on the Banking Service.
    /// Author : Hyacinthe MENIET
    /// </summary>
    class Program
    {
        static void Main(string[] args)
        {
            BankingServiceClient client = new BankingServiceClient();
            Console.WriteLine("List all accounts :");
            foreach (Account ac in client.GetAccounts())
            {
                Console.WriteLine("{Id=" + ac.id + ",Name=" + ac.name
                    + ",InitialBalance=" + ac.initial_balance + ",DateCreation="
                    + ac.date_creation + "}");
            }
            Console.WriteLine("Deposit 20 euros in account 1");
            client.depositMoney(1, 20);
            Console.WriteLine("Withdraw 10 euros in account 1");
            client.withdrawMoney(1, 10);
            Console.WriteLine("Transfer 30 euros from account 3 to account 1");
            client.transferMoney(3, 1, 30);
            Console.WriteLine("List operations on account 1 :");
            foreach (Operation op in client.GetOperationsByAccount(1))
            {
                Console.WriteLine("{Id=" + op.id + ",Amount=" + op.amount
                    + ",DateInsertion=" + op.date_insertion + "}");
            }
            Console.WriteLine("Account 1 balance : " + client.GetBalance(1));
            Console.WriteLine("Account 3 balance : " + client.GetBalance(3));
            Console.ReadLine();
            client.Close();
        }
    }
}
