using System.Collections.Generic;
using System.ServiceModel;

namespace Dotmyself
{
    /// <summary>
    /// It defines the capability and feature set, offered by the Banking Service.
    /// Author : Hyacinthe MENIET
    /// </summary>
    [ServiceContract(Namespace = "http://file.dotmyself.net/source/10")]
    interface IBankingService
    {
        [OperationContract]
        IList<Account> GetAccounts();

        [OperationContract]
        IList<Operation> GetOperationsByAccount(int aId);

        [OperationContract]
        decimal GetBalance(int aId);

        [OperationContract]
        void withdrawMoney(int aId, decimal amount);

        [OperationContract]
        void depositMoney(int aId, decimal amount);

        [OperationContract]
        void transferMoney(int fromId, int toId, decimal amount);
    }
}
